import ebay_api

'''
file used to compile methods from ebay_api.py for curating training data
'''

curate = ebay_api.CurateData()
raw_data = curate.import_raw()
training = curate.to_training(raw_data)
class_training = curate.class_training(training)
nvl_training = curate.nvl_training(training)
dropd = curate.drop_nvl_cols(nvl_training)

expanded_dfs = curate.expand_nvlclass(class_training, dropd)

expanded_class = expanded_dfs[0]
expanded_dropd = expanded_dfs[1]
# dict_pics = expanded_dfs[2]

# TODO # still have the problem of duplicate listings. Possibly take care of this before you run curate
